import 'package:mango_ui/keys.dart';

import 'engine.dart';
import 'gearbox.dart';
import 'series.dart';

class Vehicle {
  final Key vinKey;
  final String fullVin;
  final Series series;
  final String colour;
  final String paintNo;
  final num month;
  final num year;
  final Engine engine;
  final Gearbox gearbox;
  final String bodyStyle;
  final num doors;
  final String trim;
  final List<String> extra;

  Vehicle(
      this.vinKey,
      this.fullVin,
      this.series,
      this.colour,
      this.paintNo,
      this.month,
      this.year,
      this.engine,
      this.gearbox,
      this.bodyStyle,
      this.doors,
      this.trim,
      this.extra);

  Map<String, dynamic> toJson() {
    return {
      'VINKey': this.vinKey,
      'FullVIN': this.fullVin,
      'Series': this.series,
      'Colour': this.colour,
      'PaintNo': this.paintNo,
      'Month': this.month,
      'Year': this.year,
      'Engine': this.engine,
      'Gearbox': this.gearbox,
      'BodyStyle': this.bodyStyle,
      'Doors': this.doors,
      'Trim': this.trim,
      'Extra': this.extra,
    };
  }
}
